bitel.billing.server.contract.bean

## Class ContractModule

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractModule

- Deprecated.
  использовать `BGModule`

      @Deprecated
      public class ContractModule
      extends java.lang.Object

  Author:
    kirill

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractModule()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()` Deprecated.
    `int` | `getModuleId()` Deprecated.
    `java.lang.String` | `getModuleTitle()` Deprecated.
    `java.lang.String` | `getPackageClient()` Deprecated.
    `java.lang.String` | `getPackageServer()` Deprecated.
    `void` | `setContractId(int contractId)` Deprecated.
    `void` | `setModuleId(int moduleId)` Deprecated.
    `void` | `setModuleTitle(java.lang.String moduleTitle)` Deprecated.
    `void` | `setPackageClient(java.lang.String packageClient)` Deprecated.
    `void` | `setPackageServer(java.lang.String packageServer)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractModule

          public ContractModule()

      Deprecated.

  - ### Method Detail

    - #### getContractId

          public int getContractId()

      Deprecated.

    - #### setContractId

          public void setContractId(int contractId)

      Deprecated.

    - #### getModuleId

          public int getModuleId()

      Deprecated.

    - #### setModuleId

          public void setModuleId(int moduleId)

      Deprecated.

    - #### getModuleTitle

          public java.lang.String getModuleTitle()

      Deprecated.

    - #### setModuleTitle

          public void setModuleTitle(java.lang.String moduleTitle)

      Deprecated.

    - #### getPackageServer

          public java.lang.String getPackageServer()

      Deprecated.

    - #### setPackageServer

          public void setPackageServer(java.lang.String packageServer)

      Deprecated.

    - #### getPackageClient

          public java.lang.String getPackageClient()

      Deprecated.

    - #### setPackageClient

          public void setPackageClient(java.lang.String packageClient)

      Deprecated.